Page MenuHomePhabricator

vg_common_json: Supports transform properties
ClosedPublic

Authored by jsuya on Jan 19 2020, 5:23 PM.

Details

Summary

Supports scale, position, and rotation properties
related to transform among properties supported by value provider.

Test Plan

Remove 'json' in evas-loaders-disabler
build
elementary_test -to "value provider"
(path : layer.box1)

Depends on D11213

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jan 19 2020, 5:23 PM
jsuya requested review of this revision.Jan 19 2020, 5:23 PM
Hermet requested changes to this revision.Jan 20 2020, 12:35 AM

Please check my comments.

src/static_libs/vg_common/vg_common_json.c
544

Does it need to multiply 100? where this come from?

545

Rotation on xy axis should be cared.
We need to design that interface in advance to avoid conflict later.

This revision now requires changes to proceed.Jan 20 2020, 12:35 AM
jsuya updated this revision to Diff 28607.Jan 28 2020, 11:59 PM

Update code

  • Support Matrix4. User can use this to do the x, y, z axis transformation.
jsuya updated this revision to Diff 28608.Jan 28 2020, 11:59 PM
jsuya edited the test plan for this revision. (Show Details)

update comment

jsuya marked 2 inline comments as done.Jan 29 2020, 12:00 AM
jsuya added inline comments.
src/static_libs/vg_common/vg_common_json.c
544

LOTTIE_ANIMATION_PROPERTY_TR_SCALE is percentage value. so we need multiply 100.

Hermet accepted this revision.Jan 29 2020, 4:34 AM
This revision is now accepted and ready to land.Jan 29 2020, 4:34 AM
jsuya updated this revision to Diff 28623.Jan 29 2020, 4:45 AM
jsuya marked an inline comment as done.

fix warning

This revision was automatically updated to reflect the committed changes.